### Enumeration

# WebKit WebExtensionError

since: 2.52

#### Declaration

    error-domain WebKit.WebExtensionError

#### Description [src]

Enum values used to denote errors happening when parsing a `WebKitWebExtension`.

Available since: 2.52

#### Members

`WEBKIT_WEB_EXTENSION_ERROR_UNKNOWN`

  An unknown error occured.

  - Value: `899`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_RESOURCE_NOT_FOUND`

  A specified resource was not found on disk.

  - Value: `800`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_INVALID_RESOURCE_CODE_SIGNATURE`

  A resource failed the bundle’s code signature checks.

  - Value: `801`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_INVALID_MANIFEST`

  An invalid `manifest.json` was encountered.

  - Value: `802`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_UNSUPPORTED_MANIFEST_VERSION`

  The manifest version is not supported.

  - Value: `803`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_INVALID_MANIFEST_ENTRY`

  An invalid manifest entry was encountered.

  - Value: `804`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_INVALID_DECLARATIVE_NET_REQUEST_ENTRY`

  An invalid declarative net request entry was encountered.

  - Value: `805`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_INVALID_BACKGROUND_PERSISTENCE`

  The extension specified background persistence that was not compatible with the platform or features requested.

  - Value: `806`
  - Available since: 2.52
`WEBKIT_WEB_EXTENSION_ERROR_INVALID_ARCHIVE`

  The archive file is invalid or corrupt.

  - Value: `807`
  - Available since: 2.52

#### Type functions

###### webkit_web_extension_error_quark

Gets the quark for the domain of Web Extension errors.

since: 2.52